Subject: Re: [PATCH/RFC] Re: linux-next: build failure after merge of the luto-misc tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 22 Jul 2016 16:57:34 -0300

Em Fri, Jul 22, 2016 at 02:44:17PM -0500, Josh Poimboeuf escreveu:
> On Fri, Jul 22, 2016 at 04:36:55PM -0300, Arnaldo Carvalho de Melo wrote:
> > Em Fri, Jul 22, 2016 at 02:19:20PM -0500, Josh Poimboeuf escreveu:
> > > On Fri, Jul 22, 2016 at 11:37:39AM -0300, Arnaldo Carvalho de Melo wrote:
> > > > I.e. with the two patches I mentioned, that are equivalent to the last patch I
> > > > sent to Stephen for testing, we would end up with HOSTARCH=powerpc and
> > > > ARCH=x86, no?

> > > Thanks for spelling it out, that helped a lot.

> > Glad you liked it, I had to do it for my own sanity :-)

> > And something that gave me mixed feelings was an e-mail from the kbuild
> > test bot that noticed my perf/core changes and said that the build was
> > broken for "make ARCH=x86_64", so I had to reinstate this part:

> > ifeq ($(ARCH),x86_64)
> > ARCH := x86
> > endif

> > Because, as you say, 'make ARCH=x86' works :-\ I think it will not be
> > needed with your patch, right? I'm checking your patch below right now,

> Yeah, that shouldn't be needed with my patch.  I think either would
> work, but my patch is more of a permanent solution.

Sure, I left it there because then we don't have bisection broke at that
fix I made, i.e. 'make ARCH=x86_64' works at that point too.

I applied your patch and will push it to Ingo, now we must cross our
fingers so that Stephen doesn't come back to us once more telling it is
still broken :o)

Best regards,

- Arnaldo